#![feature(conservative_impl_trait)]

extern crate futures;
extern crate tokio_core;
use futures::future::{self};
use futures::future::*;
use tokio_core::reactor::Core;

fn main() {
    let mut core = Core::new().expect("Failed to initialize tokio_core reactor!");

    let f = create_future();

    core.run(f).unwrap();
}

fn create_future() -> impl Future<Item=(), Error=()> {
    return future::ok(Ok(()));
}
